View a document

Displays an XML business document in HTML or attachments in native format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API call is unique in that it returns the document in the original format in which it was submitted, for example, in PDF, JPG, and others.

The business document is fetched using the document reference identifier, which is retrieved through GET /messages/:mid. In the JSON response body that is returned, the identifier is stored as the referenceId property.

The call does not require authentication—anonymous access is allowed. However, the reference identifier includes a passcode that should only be shared by secure means.

The document can be converted to formats other than HTML (PDF, JPG, PNG, GIF, or TIF) or displayed raw.You can also view embedded documents.

If additional languages are supported for this document type, you can choose the language in which the document is displayed.

Path Params
string
required

The unique document reference identifier.
The identifier is in the following format {messageIdentifier}:{partyIdentifierType}:{partyIdentifier}:{documentIndexNumber}:{passcode}.

The party identifier matches the sender of the message.
The passcode is a token generated when the document is added to the message.

Query Params
string

The format to which the XML document should be converted.
If the parameter is not specified, no conversion is made and the document is displayed in HTML provided that a corresponding style sheet is available.

Possible values are: pdf, png, jpg, gif, tif, raw.
Setting the parameter to raw displays the original XML file.
Only documents in XML format can be converted.

string
Defaults to en

The language in which the document should be displayed.

The parameter uses the 2-letter language codes, as defined in the ISO 639-1 standard.

You can also set fallback options, for example, is,en.
The document is displayed in the first available language.
If the language requested is not supported, the parameter is ignored.

int32

The index number of the embedded document.

Setting this parameter displays the document embedded in the core processing document of the message.
Embedded documents are indexed using a zero-based index.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml